1. Agent Activity
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
      • Create comments
      • Get Comments
    • Media Manager
      • Get Folders
      • Get Folder By ID
      • Create Folder
      • Update Folder
      • Delete Folder
      • Get Files
      • Get File By ID
      • Create File
      • Update File
      • Delete File
    • Agent Activity
      • Get Agents Activities
        GET
Blog
Github
  1. Agent Activity

Get Agents Activities

GET
/api/v1/user-presence-status-log

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apigw.klinkcx.com/api/v1/user-presence-status-log?page&pageSize' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": [
        {
            "id": "uuid-string",
            "createdAt": "2026-02-12T04:46:24.491Z",
            "previousPresenceStatus": {
                "id": "uuid-string",
                "systemName": "available",
                "displayName": "Available",
                "emoji": "🟢"
            },
            "newPresenceStatus": {
                "id": "uuid-string",
                "systemName": "in_meeting",
                "displayName": "In meeting",
                "emoji": "🗓️"
            },
            "reason": "",
            "user": {
                "id": "uuid-string",
                "name": "John"
            }
        },
        {
            "id": "uuid-string",
            "createdAt": "2025-11-11T04:08:14.860Z",
            "previousPresenceStatus": {
                "id": "uuid-string",
                "systemName": "available",
                "displayName": "Available",
                "emoji": "🟢"
            },
            "newPresenceStatus": {
                "id": "uuid-string",
                "systemName": "in_meeting",
                "displayName": "In meeting",
                "emoji": "🗓️"
            },
            "reason": "x",
            "user": {
                "id": "uuid-string",
                "name": "NangXmue"
            }
        },
        {
            "id": "uuid-string",
            "createdAt": "2025-10-21T10:56:47.836Z",
            "previousPresenceStatus": {
                "id": "uuid-string",
                "systemName": "away",
                "displayName": "Away",
                "emoji": "⛔"
            },
            "newPresenceStatus": {
                "id": "uuid-string",
                "systemName": "available",
                "displayName": "Available",
                "emoji": "🟢"
            },
            "reason": "x",
            "user": {
                "id": "uuid-string",
                "name": "NangXmue"
            }
        }
    ],
    "page": 1,
    "pageSize": 3,
    "total": 247,
    "lastPage": 83
}
Modified at 2026-03-16 17:58:27
Previous
Delete File
Built with